[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# IVCLComObject.GetIDsOfNames

The IDispatch:GetIDsOfNames call for automation servers.

## Declaration

Source position: classesh.inc line 1855

`function IVCLComObject.GetIDsOfNames(`
`const IID: TGuid;`
`Names: Pointer;`
`NameCount: Integer;`
`LocaleID: Integer;`
`DispIDs: Pointer`
`):HRESULT;`

## Description

GetIDsOfNames must return in DispIDs the dispatch Ids for the NameCount names of the methods listed in Names. The LocaleID indicates the locale of the caller.

## Errors

On error, a nonzero (different from S_OK) return value must be returned.

## See also

IVCLComObject.Invoke |  | The IDispatch:Invoke call for automation servers.